﻿using System;
using System.Data;
using System.Windows.Forms;

namespace ExcelAddIn1
{
    public partial class RadForm2 : Telerik.WinControls.UI.RadForm
    {
        public RadForm2()
        {
            InitializeComponent();
        }

        public bool Excecute()
        {
            DataTable pgtab = new DataTable("table");
            pgtab.Columns.Add("col1", Type.GetType("System.String"));
            pgtab.Columns.Add("col2", Type.GetType("System.String"));

            DataRow row = pgtab.NewRow();
            row["col1"] = "1";
            row["col2"] = "A";
            pgtab.Rows.Add(row);

            row = pgtab.NewRow();
            row["col1"] = "2";
            row["col2"] = "B";
            pgtab.Rows.Add(row);

            row = pgtab.NewRow();
            row["col1"] = "3";
            row["col2"] = "C";
            pgtab.Rows.Add(row);

            pgtab.AcceptChanges();

            radDropDownList1.DropDownListElement.SyncSelectionWithText = false;
            radDropDownList1.DataSource = pgtab;
            radDropDownList1.ValueMember = "col1";
            radDropDownList1.DisplayMember = "col2";
            radDropDownList1.SelectedItem = radDropDownList1.Items[1];

            radGridView1.EnableFiltering = true;
            radGridView1.MasterTemplate.ShowHeaderCellButtons = true;
            radGridView1.MasterTemplate.ShowFilteringRow = false;

            radGridView1.DataSource = pgtab;

            foreach (var item in radGridView1.Columns)
            {
                item.AllowFiltering = true;
                item.EnableExpressionEditor = true;
            }


            if (ShowDialog() == DialogResult.OK)
            { 
                return DoSomeStuff();
            }

            return false;
        }

        private bool DoSomeStuff()
        {
            try
            {
                MessageBox.Show(Convert.ToString(radDropDownList1.SelectedItem.Value));
            }
            catch (Exception ex)
            {
                MessageBox.Show(ex.Message);
                return false;
            }

            return true;
        }

        private void button1_Click(object sender, EventArgs e)
        {
            // Here the SelectedItem is still OK
            MessageBox.Show(Convert.ToString(radDropDownList1.SelectedItem.Value));

            DialogResult = DialogResult.OK;
        }
    }
}
